Последние сообщения

Последние сообщения

Страницы: [1] 2 3 ... 10
1
Еще раз. Это проблема не AutoCAD.
Еще раз. Речь идёт о проблеме, описанной в первом сообщении темы? Если нет, то создайте отдельную тему.
2
Еще раз. Это проблема не AutoCAD.
3
ProJect,
Вы внимательно прочитали всю тему? И о том что в AutoCAD 2015 SP2 такое поведение было исправлено?
Или вы о чем-то, что не соответствует данной теме?
4
Проблема с переключением раскладки клавиатуры (пр попытке ввода латиницы вводится кириллица) решается следующим способом для Win 7: "Языки и службы текстового ввода" (щелчок прав. кнопкой мыши по RU - Параметры). Вкладка "Переключение клавиатуры" - "Включить Английский США" (или что там у вас англоязычное) - выберете сочетание клавиш (например Ctrl+0).
Переключайтесь.

Это проблема не Acad. Проблема всех двуязычных систем. Актуально для всех версий ядра AutoCAD/

5
Значит и этот вариант не подходит. Увы.
6
Не вижу где на этом форуме плюсик)
Под словом "карма" ;)
7
Civil 3D API / Re: Задать стиль напорного трубопровода.
« Последний ответ от Andant 19-10-2017, 17:42:31 »
Такие "танцы с бубном" теоретически возможны через P/Invoke для функций acdbEntGet/acdbEntMod из ObjectARX.

Результат acdbEntGet:


Аналогично:
(entget (car (entsel)))
Выберите объект: ((-1 . <Имя объекта: 7ffffb6d580>) (0 . "AECC_PRESSUREPIPE") (330 . <Имя объекта: 7ffffb361f0>) (5 . "77C8") (100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "_ГКС ОСВЕЩЕНИЕ СЕТЬ") (100 . "AeccDbEntity") (100 . "AeccDbGeo_aec") (100 . "AeccDbGeo") (100 . "AeccDbNetworkPartBase") (100 . "AeccDbPressurePart") (100 . "AeccDbPressurePipe"))

Да и MgdDbg показывает PressyrePipeStyle только в ссылках:

8
Revit API / Re: Автоматическое создание розеток
« Последний ответ от 66hertz 19-10-2017, 17:18:44 »
Не вижу где на этом форуме плюсик) спасибо
9
Главное - начать. А дальше уже по накатанной пойдет.
У меня есть проект, который очень большой (правда под автокад) - вот я его раза три начинал с нуля. И делал наверное пол года. И это только начало проекта!
Так что ничего не бойтесь и начинайте. Вопросы тут спрашивайте - подскажем
Код ищет семейства с этим идентификатором в заданной категории (для экономии ресурсов, т.к. все они в одной категории)
Вот это все достаточно быстро происходит, так что можете не переживать. FilteredElementCollector вообще моментально собирает элементы
Звучит и просто и сложно)
Не так уж и сложно, если разобраться
10
Revit API / Re: Автоматическое создание розеток
« Последний ответ от 66hertz 19-10-2017, 16:21:14 »
Александр Пекшев aka Modis, по поводу трудоемкости - помещения не жилые, розеток очень много, в некоторых случаях процесс одной только расстановки занимает несколько часов) Потом подгонка привязок и расстановка марок по красоте еще часа два. Так что инструмент был бы полезный, если бы работал корректно.
Принцип вижу такой - необходимое оборудование имеет некий идентификатор, буквенный, например. Код ищет семейства с этим идентификатором в заданной категории (для экономии ресурсов, т.к. все они в одной категории), начиная с определенных координат проверяет только в одном направлении наличие объектов в категории стен, и если есть - создать семество на высоте, записанной всё в том же семействе, в другом параметре. Звучит и просто и сложно)
Страницы: [1] 2 3 ... 10